//
//  ChangeCenterViewController.swift
//  Lite3DMapDemo-swift
//
//  Created by JZ on 2021/2/25.
//

import Foundation

class ChangeCenterViewController: MAMapBaseViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        //加载地图
        map.createMap()
        //在视图上添加webView
        self.addWebView()
        
        let label = UILabel.init(frame: CGRect.init(x: 0, y: 0, width: self.view.bounds.size.width, height: 40))
        label.textAlignment = NSTextAlignment.center;
        label.backgroundColor = UIColor.black.withAlphaComponent(0.5)
        label.textColor = UIColor.white
        label.text = "点击地图任意位置设为新中心点";
        label.autoresizingMask = [UIView.AutoresizingMask.flexibleWidth , UIView.AutoresizingMask.flexibleBottomMargin]
        self.view.addSubview(label)
    }
    
    //MARK: - MAMapviewDelegate    
    func map(_ map: MAMap!, didSingleTappedAt coordinate: CLLocationCoordinate2D) {
        self.map.setCenter(coordinate, animated: true)
    }
    
}
