//
//  MAMapBaseViewController.m
//  Lite3DMapDemo
//
//  Created by JZ on 2021/1/7.
//

#import "MAMapBaseViewController.h"

@implementation MAMapBaseViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.navigationItem.leftBarButtonItem = [[UIBarButtonItem alloc] initWithTitle:@"Back"
                                                                             style:UIBarButtonItemStylePlain
                                                                            target:self
                                                                            action:@selector(returnAction)];
    self.view.backgroundColor = [UIColor whiteColor];

    CGSize size = self.view.bounds.size;
    CGFloat height = size.height - MANavHeight;
    self.webViewContainer = [[MAWKWebView alloc] initWithFrame:CGRectMake(0, 0, size.width, height)];
    self.map = [[MAMap alloc] initWithWebView:self.webViewContainer];
    self.map.delegate = self;
}

- (void)addWebView{
    [self.view addSubview:self.webViewContainer.webView];
}

#pragma mark - Action Handlers
- (void)returnAction
{
    [self.navigationController popViewControllerAnimated:YES];
}

@end
