//
//  MAMapBaseViewController.swift
//  Lite3DMapDemo-swift
//
//  Created by JZ on 2021/2/25.
//

import Foundation

let kScreenH = UIScreen.main.bounds.size.height
// 刘海屏 宏定义
let iPhoneX = ((kScreenH == 812.0 || kScreenH == 896.0) ? true : false)
// 适配iPhone X 导航栏高度
let MANavHeight = (iPhoneX ? 88.0 : 64.0)

class MAMapBaseViewController : UIViewController,MAMapDelegate {
    
    var map: MAMap!
    var webViewContainer: MAWKWebView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.view.backgroundColor = UIColor.gray
        
        initMapView()
    }
    
    func initMapView(){
        ///初始化MAMapWebViewProcotol协议实现类
        let size:CGSize = self.view.bounds.size;
        let height:CGFloat = size.height - CGFloat(MANavHeight);
        webViewContainer = MAWKWebView.init(frame: CGRect.init(origin: CGPoint.zero, size: CGSize.init(width: size.width, height: height)))
        map = MAMap.init(webView: webViewContainer)
        map.delegate = self;
    }
    
    func addWebView(){
        self.view.addSubview(webViewContainer.webView)
    }
}
