//
//  ViewController.h
//  MAMapKit_3D_Demo
//
//  Created by 翁乐 on 8/9/16.
//  Copyright © 2016 Autonavi. All rights reserved.
//

#import <UIKit/UIKit.h>

@class MainViewController;

@protocol MainViewControllerDelegate <NSObject>

- (BOOL)viewController:(MainViewController*)vc itemSelected:(NSString *)itemClassName title:(NSString *)title;
- (NSString *)viewController:(MainViewController*)vc displayTileOf:(NSString *)itemClassName;


@end

@interface MainViewController : UIViewController

@property (nonatomic, weak) id<MainViewControllerDelegate> delegate;

@end

